<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="project_projx.xsd">

  <SchemaVersion>2.1</SchemaVersion>

  <Header>### uVision Project, (C) Keil Software</Header>

  <Targets>
    <Target>
      <TargetName>STM32F7308-DISCO</TargetName>
      <ToolsetNumber>0x4</ToolsetNumber>
      <ToolsetName>ARM-ADS</ToolsetName>
      <pCCUsed>5060750::V5.06 update 6 (build 750)::ARMCC</pCCUsed>
      <uAC6>0</uAC6>
      <TargetOption>
        <TargetCommonOption>
          <Device>STM32F730I8Kx</Device>
          <Vendor>STMicroelectronics</Vendor>
          <PackID>STMicroelectronics.STM32F7xx_DFP.1.0.3</PackID>
          <PackURL>http://www.ST.com/</PackURL>
          <Cpu>IRAM(0x20000000,0x40000) IROM(0x08000000,0x10000) IROM2(0x00200000,0x10000) CPUTYPE("Cortex-M7") FPU3(SFPU) CLOCK(12000000) ELITTLE</Cpu>
          <FlashUtilSpec></FlashUtilSpec>
          <StartupFile></StartupFile>
          <FlashDriverDll>UL2CM3(-S0 -C0 -P0 -FD20010000 -FC1000 -FN2 -FF0STM32F7x_64_AXI -FS08000000 -FL010000 -FF1STM32F723E_QSPI_Macronix -FS190000000 -FL14000000 -FP0($$Device:STM32F730I8Kx$CMSIS\Flash\STM32F7x_64_AXI.FLM) -FP1($$Device:STM32F730I8Kx$CMSIS\Flash\STM32F723E_QSPI_Macronix.FLM))</FlashDriverDll>
          <DeviceId>0</DeviceId>
          <RegisterFile>$$Device:STM32F730I8Kx$Device\Include\stm32f7xx.h</RegisterFile>
          <MemoryEnv></MemoryEnv>
          <Cmp></Cmp>
          <Asm></Asm>
          <Linker></Linker>
          <OHString></OHString>
          <InfinionOptionDll></InfinionOptionDll>
          <SLE66CMisc></SLE66CMisc>
          <SLE66AMisc></SLE66AMisc>
          <SLE66LinkerMisc></SLE66LinkerMisc>
          <SFDFile>$$Device:STM32F730I8Kx$CMSIS\SVD\STM32F730x.svd</SFDFile>
          <bCustSvd>0</bCustSvd>
          <UseEnv>0</UseEnv>
          <BinPath></BinPath>
          <IncludePath></IncludePath>
          <LibPath></LibPath>
          <RegisterFilePath></RegisterFilePath>
          <DBRegisterFilePath></DBRegisterFilePath>
          <TargetStatus>
            <Error>0</Error>
            <ExitCodeStop>0</ExitCodeStop>
            <ButtonStop>0</ButtonStop>
            <NotGenerated>0</NotGenerated>
            <InvalidFlash>1</InvalidFlash>
          </TargetStatus>
          <OutputDirectory>STM32F7308-DISCO\Exe\</OutputDirectory>
          <OutputName>STM32F723E-DISCO_Demo</OutputName>
          <CreateExecutable>1</CreateExecutable>
          <CreateLib>0</CreateLib>
          <CreateHexFile>1</CreateHexFile>
          <DebugInformation>1</DebugInformation>
          <BrowseInformation>0</BrowseInformation>
          <ListingPath></ListingPath>
          <HexFormatSelection>1</HexFormatSelection>
          <Merge32K>0</Merge32K>
          <CreateBatchFile>0</CreateBatchFile>
          <BeforeCompile>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopU1X>0</nStopU1X>
            <nStopU2X>0</nStopU2X>
          </BeforeCompile>
          <BeforeMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopB1X>0</nStopB1X>
            <nStopB2X>0</nStopB2X>
          </BeforeMake>
          <AfterMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopA1X>0</nStopA1X>
            <nStopA2X>0</nStopA2X>
          </AfterMake>
          <SelectedForBatchBuild>0</SelectedForBatchBuild>
          <SVCSIdString></SVCSIdString>
        </TargetCommonOption>
        <CommonProperty>
          <UseCPPCompiler>0</UseCPPCompiler>
          <RVCTCodeConst>0</RVCTCodeConst>
          <RVCTZI>0</RVCTZI>
          <RVCTOtherData>0</RVCTOtherData>
          <ModuleSelection>0</ModuleSelection>
          <IncludeInBuild>1</IncludeInBuild>
          <AlwaysBuild>0</AlwaysBuild>
          <GenerateAssemblyFile>0</GenerateAssemblyFile>
          <AssembleAssemblyFile>0</AssembleAssemblyFile>
          <PublicsOnly>0</PublicsOnly>
          <StopOnExitCode>3</StopOnExitCode>
          <CustomArgument></CustomArgument>
          <IncludeLibraryModules></IncludeLibraryModules>
          <ComprImg>0</ComprImg>
        </CommonProperty>
        <DllOption>
          <SimDllName>SARMCM3.DLL</SimDllName>
          <SimDllArguments> -REMAP -MPU</SimDllArguments>
          <SimDlgDll>DCM.DLL</SimDlgDll>
          <SimDlgDllArguments>-pCM7</SimDlgDllArguments>
          <TargetDllName>SARMCM3.DLL</TargetDllName>
          <TargetDllArguments> -MPU</TargetDllArguments>
          <TargetDlgDll>TCM.DLL</TargetDlgDll>
          <TargetDlgDllArguments>-pCM7</TargetDlgDllArguments>
        </DllOption>
        <DebugOption>
          <OPTHX>
            <HexSelection>1</HexSelection>
            <HexRangeLowAddress>0</HexRangeLowAddress>
            <HexRangeHighAddress>0</HexRangeHighAddress>
            <HexOffset>0</HexOffset>
            <Oh166RecLen>16</Oh166RecLen>
          </OPTHX>
        </DebugOption>
        <Utilities>
          <Flash1>
            <UseTargetDll>1</UseTargetDll>
            <UseExternalTool>0</UseExternalTool>
            <RunIndependent>0</RunIndependent>
            <UpdateFlashBeforeDebugging>1</UpdateFlashBeforeDebugging>
            <Capability>1</Capability>
            <DriverSelection>4107</DriverSelection>
          </Flash1>
          <bUseTDR>1</bUseTDR>
          <Flash2>STLink\ST-LINKIII-KEIL_SWO.dll</Flash2>
          <Flash3></Flash3>
          <Flash4></Flash4>
          <pFcarmOut></pFcarmOut>
          <pFcarmGrp></pFcarmGrp>
          <pFcArmRoot></pFcArmRoot>
          <FcArmLst>0</FcArmLst>
        </Utilities>
        <TargetArmAds>
          <ArmAdsMisc>
            <GenerateListings>0</GenerateListings>
            <asHll>1</asHll>
            <asAsm>1</asAsm>
            <asMacX>1</asMacX>
            <asSyms>1</asSyms>
            <asFals>1</asFals>
            <asDbgD>1</asDbgD>
            <asForm>1</asForm>
            <ldLst>0</ldLst>
            <ldmm>1</ldmm>
            <ldXref>1</ldXref>
            <BigEnd>0</BigEnd>
            <AdsALst>1</AdsALst>
            <AdsACrf>1</AdsACrf>
            <AdsANop>0</AdsANop>
            <AdsANot>0</AdsANot>
            <AdsLLst>1</AdsLLst>
            <AdsLmap>1</AdsLmap>
            <AdsLcgr>1</AdsLcgr>
            <AdsLsym>1</AdsLsym>
            <AdsLszi>1</AdsLszi>
            <AdsLtoi>1</AdsLtoi>
            <AdsLsun>1</AdsLsun>
            <AdsLven>1</AdsLven>
            <AdsLsxf>1</AdsLsxf>
            <RvctClst>0</RvctClst>
            <GenPPlst>0</GenPPlst>
            <AdsCpuType>"Cortex-M7"</AdsCpuType>
            <RvctDeviceName></RvctDeviceName>
            <mOS>0</mOS>
            <uocRom>0</uocRom>
            <uocRam>0</uocRam>
            <hadIROM>1</hadIROM>
            <hadIRAM>1</hadIRAM>
            <hadXRAM>0</hadXRAM>
            <uocXRam>0</uocXRam>
            <RvdsVP>2</RvdsVP>
            <hadIRAM2>0</hadIRAM2>
            <hadIROM2>1</hadIROM2>
            <StupSel>8</StupSel>
            <useUlib>1</useUlib>
            <EndSel>0</EndSel>
            <uLtcg>0</uLtcg>
            <nSecure>0</nSecure>
            <RoSelD>3</RoSelD>
            <RwSelD>3</RwSelD>
            <CodeSel>0</CodeSel>
            <OptFeed>0</OptFeed>
            <NoZi1>0</NoZi1>
            <NoZi2>0</NoZi2>
            <NoZi3>0</NoZi3>
            <NoZi4>0</NoZi4>
            <NoZi5>0</NoZi5>
            <Ro1Chk>0</Ro1Chk>
            <Ro2Chk>0</Ro2Chk>
            <Ro3Chk>0</Ro3Chk>
            <Ir1Chk>1</Ir1Chk>
            <Ir2Chk>0</Ir2Chk>
            <Ra1Chk>0</Ra1Chk>
            <Ra2Chk>0</Ra2Chk>
            <Ra3Chk>0</Ra3Chk>
            <Im1Chk>1</Im1Chk>
            <Im2Chk>0</Im2Chk>
            <OnChipMemories>
              <Ocm1>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm1>
              <Ocm2>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm2>
              <Ocm3>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm3>
              <Ocm4>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm4>
              <Ocm5>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm5>
              <Ocm6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm6>
              <IRAM>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x40000</Size>
              </IRAM>
              <IROM>
                <Type>1</Type>
                <StartAddress>0x8000000</StartAddress>
                <Size>0x10000</Size>
              </IROM>
              <XRAM>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </XRAM>
              <OCR_RVCT1>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT1>
              <OCR_RVCT2>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT2>
              <OCR_RVCT3>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT3>
              <OCR_RVCT4>
                <Type>1</Type>
                <StartAddress>0x90000000</StartAddress>
                <Size>0x100000</Size>
              </OCR_RVCT4>
              <OCR_RVCT5>
                <Type>1</Type>
                <StartAddress>0x200000</StartAddress>
                <Size>0x10000</Size>
              </OCR_RVCT5>
              <OCR_RVCT6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT6>
              <OCR_RVCT7>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT7>
              <OCR_RVCT8>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT8>
              <OCR_RVCT9>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x40000</Size>
              </OCR_RVCT9>
              <OCR_RVCT10>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT10>
            </OnChipMemories>
            <RvctStartVector></RvctStartVector>
          </ArmAdsMisc>
          <Cads>
            <interw>1</interw>
            <Optim>4</Optim>
            <oTime>0</oTime>
            <SplitLS>0</SplitLS>
            <OneElfS>1</OneElfS>
            <Strict>0</Strict>
            <EnumInt>0</EnumInt>
            <PlainCh>0</PlainCh>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <wLevel>2</wLevel>
            <uThumb>0</uThumb>
            <uSurpInc>0</uSurpInc>
            <uC99>1</uC99>
            <uGnu>0</uGnu>
            <useXO>0</useXO>
            <v6Lang>1</v6Lang>
            <v6LangP>1</v6LangP>
            <vShortEn>1</vShortEn>
            <vShortWch>1</vShortWch>
            <v6Lto>0</v6Lto>
            <v6WtE>0</v6WtE>
            <v6Rtti>0</v6Rtti>
            <VariousControls>
              <MiscControls></MiscControls>
              <Define>APPLICATION_ADDRESS=0x90000000U,USE_HAL_DRIVER,STM32F730xx,USE_STM32F7308_DISCO,USE_USB_HS</Define>
              <Undefine></Undefine>
              <IncludePath>../Gui/STemWin_Addons;../Gui/Target;../Config;../Core/Inc;../../../../../Utilities/CPU;../../../../../Drivers/CMSIS/Device/ST/STM32F7xx/Include;../../../../../Drivers/STM32F7xx_HAL_Driver/Inc;../../../../../Drivers/BSP/STM32F7308-Discovery;../../../../../Drivers/BSP/Components;../../../../../Drivers/BSP/Components/Common;../../../../../Middlewares/ST/STM32_USB_Host_Library/Core/Inc;../../../../../Middlewares/ST/STM32_USB_Host_Library/Class/MSC/Inc;../../../../../Middlewares/ST/STemWin/inc;../../../../../Middlewares/Third_Party/FatFs/src;../../../../../Middlewares/Third_Party/FatFs/src/drivers;../../../../../Middlewares/Third_Party/FreeRTOS/Source/portable/RVDS/ARM_CM7/r0p1;../../../../../Middlewares/Third_Party/FreeRTOS/Source/include;../../../../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS;../Modules/Common;../Modules/audio_player;../Modules/audio_recorder;../Modules/videoplayer</IncludePath>
            </VariousControls>
          </Cads>
          <Aads>
            <interw>1</interw>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <thumb>0</thumb>
            <SplitLS>0</SplitLS>
            <SwStkChk>0</SwStkChk>
            <NoWarn>0</NoWarn>
            <uSurpInc>0</uSurpInc>
            <useXO>0</useXO>
            <uClangAs>0</uClangAs>
            <VariousControls>
              <MiscControls></MiscControls>
              <Define></Define>
              <Undefine></Undefine>
              <IncludePath>../Config</IncludePath>
            </VariousControls>
          </Aads>
          <LDads>
            <umfTarg>0</umfTarg>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <noStLib>0</noStLib>
            <RepFail>1</RepFail>
            <useFile>0</useFile>
            <TextAddressRange>0x08000000</TextAddressRange>
            <DataAddressRange>0x20000000</DataAddressRange>
            <pXoBase></pXoBase>
            <ScatterFile>STM32F7308-DISCO\Exe\STM32F723E-DISCO_Demo.sct</ScatterFile>
            <IncludeLibs></IncludeLibs>
            <IncludeLibsPath></IncludeLibsPath>
            <Misc></Misc>
            <LinkerInputFile></LinkerInputFile>
            <DisabledWarnings></DisabledWarnings>
          </LDads>
        </TargetArmAds>
      </TargetOption>
      <Groups>
        <Group>
          <GroupName>Application/MDK-ARM</GroupName>
          <Files>
            <File>
              <FileName>startup_stm32f730xx.s</FileName>
              <FileType>2</FileType>
              <FilePath>.\startup_stm32f730xx.s</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Core</GroupName>
          <Files>
            <File>
              <FileName>k_bsp.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/k_bsp.c</FilePath>
            </File>
            <File>
              <FileName>k_calibration.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/k_calibration.c</FilePath>
            </File>
            <File>
              <FileName>k_menu.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/k_menu.c</FilePath>
            </File>
            <File>
              <FileName>k_module.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/k_module.c</FilePath>
            </File>
            <File>
              <FileName>k_rtc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/k_rtc.c</FilePath>
            </File>
            <File>
              <FileName>k_startup.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/k_startup.c</FilePath>
            </File>
            <File>
              <FileName>k_storage.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/k_storage.c</FilePath>
            </File>
            <File>
              <FileName>main.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/main.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_timebase_tim.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/stm32f7xx_hal_timebase_tim.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_it.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/stm32f7xx_it.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Gui/analog_clock</GroupName>
          <Files>
            <File>
              <FileName>analog_clock_win.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Gui/Core/analog_clock/analog_clock_win.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Gui/audio_player</GroupName>
          <Files>
            <File>
              <FileName>audio_player_win.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Gui/Core/audio_player/audio_player_win.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Gui/audio_recorder</GroupName>
          <Files>
            <File>
              <FileName>audio_recorder_win.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Gui/Core/audio_recorder/audio_recorder_win.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Gui/information</GroupName>
          <Files>
            <File>
              <FileName>information_win.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Gui/Core/information/information_win.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Gui/videoplayer</GroupName>
          <Files>
            <File>
              <FileName>video_player_win.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Gui/Core/videoplayer/video_player_win.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Modules/Audio</GroupName>
          <Files>
            <File>
              <FileName>audio_player_app.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Modules/audio_player/audio_player_app.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Modules/Audio_recorder</GroupName>
          <Files>
            <File>
              <FileName>audio_recorder_app.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Modules/audio_recorder/audio_recorder_app.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Modules/common</GroupName>
          <Files>
            <File>
              <FileName>audio_if.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Modules/Common/audio_if.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Modules/VideoPlayer</GroupName>
          <Files>
            <File>
              <FileName>GUI_AVI.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Modules/videoplayer/GUI_AVI.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User/Utilities</GroupName>
          <Files>
            <File>
              <FileName>cpu_utils.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Utilities/CPU/cpu_utils.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Doc</GroupName>
          <Files>
            <File>
              <FileName>readme.txt</FileName>
              <FileType>5</FileType>
              <FilePath>../readme.txt</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/BSP/Component</GroupName>
          <Files>
            <File>
              <FileName>ft6x06.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/Components/ft6x06/ft6x06.c</FilePath>
            </File>
            <File>
              <FileName>st7789h2.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/Components/st7789h2/st7789h2.c</FilePath>
            </File>
            <File>
              <FileName>wm8994.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/Components/wm8994/wm8994.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/BSP/STM327308-DISCO</GroupName>
          <Files>
            <File>
              <FileName>stm32f7308_discovery.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/STM32F7308-Discovery/stm32f7308_discovery.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7308_discovery_audio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/STM32F7308-Discovery/stm32f7308_discovery_audio.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7308_discovery_lcd.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/STM32F7308-Discovery/stm32f7308_discovery_lcd.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7308_discovery_qspi.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/STM32F7308-Discovery/stm32f7308_discovery_qspi.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7308_discovery_ts.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/BSP/STM32F7308-Discovery/stm32f7308_discovery_ts.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/CMSIS</GroupName>
          <Files>
            <File>
              <FileName>system_stm32f7xx.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Core/Src/system_stm32f7xx.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/STM32F7xx_HAL_Drivers</GroupName>
          <Files>
            <File>
              <FileName>stm32f7xx_hal.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_cortex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_cortex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_dfsdm.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_dfsdm.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_dma.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_dma.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_dma_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_dma_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_flash.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_flash.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_flash_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_flash_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_gpio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_gpio.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_hcd.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_hcd.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_i2c.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_i2c.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_i2c_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_i2c_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_i2s.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_i2s.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_pcd.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_pcd.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_pcd_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_pcd_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_pwr.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_pwr.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_pwr_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_pwr_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_qspi.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_qspi.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_rcc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_rcc.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_rcc_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_rcc_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_rng.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_rng.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_rtc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_rtc.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_rtc_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_rtc_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_sai.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_sai.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_sai_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_sai_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_sdram.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_sdram.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_sram.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_sram.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_tim.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_tim.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_tim_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_tim_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_hal_uart.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_hal_uart.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_ll_fmc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_ll_fmc.c</FilePath>
            </File>
            <File>
              <FileName>stm32f7xx_ll_usb.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Drivers/STM32F7xx_HAL_Driver/Src/stm32f7xx_ll_usb.c</FilePath>
              <FileOption>
                <CommonProperty>
                  <UseCPPCompiler>2</UseCPPCompiler>
                  <RVCTCodeConst>0</RVCTCodeConst>
                  <RVCTZI>0</RVCTZI>
                  <RVCTOtherData>0</RVCTOtherData>
                  <ModuleSelection>0</ModuleSelection>
                  <IncludeInBuild>2</IncludeInBuild>
                  <AlwaysBuild>2</AlwaysBuild>
                  <GenerateAssemblyFile>2</GenerateAssemblyFile>
                  <AssembleAssemblyFile>2</AssembleAssemblyFile>
                  <PublicsOnly>2</PublicsOnly>
                  <StopOnExitCode>11</StopOnExitCode>
                  <CustomArgument></CustomArgument>
                  <IncludeLibraryModules></IncludeLibraryModules>
                  <ComprImg>1</ComprImg>
                </CommonProperty>
                <FileArmAds>
                  <Cads>
                    <interw>2</interw>
                    <Optim>1</Optim>
                    <oTime>2</oTime>
                    <SplitLS>2</SplitLS>
                    <OneElfS>2</OneElfS>
                    <Strict>2</Strict>
                    <EnumInt>2</EnumInt>
                    <PlainCh>2</PlainCh>
                    <Ropi>2</Ropi>
                    <Rwpi>2</Rwpi>
                    <wLevel>0</wLevel>
                    <uThumb>2</uThumb>
                    <uSurpInc>2</uSurpInc>
                    <uC99>2</uC99>
                    <uGnu>2</uGnu>
                    <useXO>2</useXO>
                    <v6Lang>0</v6Lang>
                    <v6LangP>0</v6LangP>
                    <vShortEn>2</vShortEn>
                    <vShortWch>2</vShortWch>
                    <v6Lto>2</v6Lto>
                    <v6WtE>2</v6WtE>
                    <v6Rtti>2</v6Rtti>
                    <VariousControls>
                      <MiscControls></MiscControls>
                      <Define></Define>
                      <Undefine></Undefine>
                      <IncludePath></IncludePath>
                    </VariousControls>
                  </Cads>
                </FileArmAds>
              </FileOption>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/FatFs/Core</GroupName>
          <Files>
            <File>
              <FileName>diskio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FatFs/src/diskio.c</FilePath>
            </File>
            <File>
              <FileName>ff.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FatFs/src/ff.c</FilePath>
            </File>
            <File>
              <FileName>ff_gen_drv.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FatFs/src/ff_gen_drv.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/FatFs/Drivers</GroupName>
          <Files>
            <File>
              <FileName>usbh_diskio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Config/usbh_diskio.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/FatFs/Options</GroupName>
          <Files>
            <File>
              <FileName>syscall.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FatFs/src/option/syscall.c</FilePath>
            </File>
            <File>
              <FileName>unicode.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FatFs/src/option/unicode.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/FreeRTOS</GroupName>
          <Files>
            <File>
              <FileName>croutine.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/croutine.c</FilePath>
            </File>
            <File>
              <FileName>event_groups.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/event_groups.c</FilePath>
            </File>
            <File>
              <FileName>list.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/list.c</FilePath>
            </File>
            <File>
              <FileName>queue.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/queue.c</FilePath>
            </File>
            <File>
              <FileName>tasks.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/tasks.c</FilePath>
            </File>
            <File>
              <FileName>timers.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/timers.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/FreeRTOS/Portable</GroupName>
          <Files>
            <File>
              <FileName>cmsis_os.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS/cmsis_os.c</FilePath>
            </File>
            <File>
              <FileName>heap_4.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/portable/MemMang/heap_4.c</FilePath>
            </File>
            <File>
              <FileName>port.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/Third_Party/FreeRTOS/Source/portable/RVDS/ARM_CM7/r0p1/port.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/STemWin/Config</GroupName>
          <Files>
            <File>
              <FileName>GUIConf.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Gui/Target/GUIConf.c</FilePath>
            </File>
            <File>
              <FileName>LCDConf.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Gui/Target/LCDConf.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/STemWin/Library</GroupName>
          <Files>
            <File>
              <FileName>STemWin_CM7_OS_wc16_ot.a</FileName>
              <FileType>4</FileType>
              <FilePath>..\..\..\..\..\Middlewares\ST\STemWin\Lib\STemWin_CM7_OS_wc16_ot.a</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/STemWin/OS</GroupName>
          <Files>
            <File>
              <FileName>GUI_X_OS.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STemWin/OS/GUI_X_OS.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/STemWin/ST_GUI_Addons</GroupName>
          <Files>
            <File>
              <FileName>STemWin_Addons_wc16.a</FileName>
              <FileType>4</FileType>
              <FilePath>..\Gui\STemWin_Addons\STemWin_Addons_wc16.a</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/USBH_Library/Class/MSC</GroupName>
          <Files>
            <File>
              <FileName>usbh_msc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STM32_USB_Host_Library/Class/MSC/Src/usbh_msc.c</FilePath>
            </File>
            <File>
              <FileName>usbh_msc_bot.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STM32_USB_Host_Library/Class/MSC/Src/usbh_msc_bot.c</FilePath>
            </File>
            <File>
              <FileName>usbh_msc_scsi.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STM32_USB_Host_Library/Class/MSC/Src/usbh_msc_scsi.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/USBH_Library/Config</GroupName>
          <Files>
            <File>
              <FileName>usbh_conf.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Config/usbh_conf.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/USBH_Library/Core</GroupName>
          <Files>
            <File>
              <FileName>usbh_core.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STM32_USB_Host_Library/Core/Src/usbh_core.c</FilePath>
            </File>
            <File>
              <FileName>usbh_ctlreq.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STM32_USB_Host_Library/Core/Src/usbh_ctlreq.c</FilePath>
            </File>
            <File>
              <FileName>usbh_ioreq.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STM32_USB_Host_Library/Core/Src/usbh_ioreq.c</FilePath>
            </File>
            <File>
              <FileName>usbh_pipes.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../Middlewares/ST/STM32_USB_Host_Library/Core/Src/usbh_pipes.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>::CMSIS</GroupName>
        </Group>
      </Groups>
    </Target>
  </Targets>

  <RTE>
    <apis/>
    <components>
      <component Cclass="CMSIS" Cgroup="CORE" Cvendor="ARM" Cversion="4.3.0" condition="CMSIS Core">
        <package name="CMSIS" schemaVersion="1.3" url="http://www.keil.com/pack/" vendor="ARM" version="4.5.0"/>
        <targetInfos>
          <targetInfo name="STM32F7308-DISCO"/>
        </targetInfos>
      </component>
    </components>
    <files/>
  </RTE>

</Project>
